Package twisted :: Package scripts :: Module tap2rpm |
[frames | no frames]

## Module twisted.scripts.tap2rpm

Classes
`MyOptions` |

Function Summary
| ``makeBuildDir`(baseDir)` Set up the temporary directory for building RPMs.
| `run()`

Variable Summary
`str` | `initFileData` = `'#!/bin/sh\n#\n# Startup script for a Tw...`
`str` | `specFileData` = `'Summary: %(description)s\nName: ...`
`dict` | `type_dict` = `{'python': 'python', 'source': 'source', 'ta...`

Function Details

### makeBuildDir(baseDir) Set up the temporary directory for building RPMs. Returns: Tuple: ( buildDir, rpmrcFile )

Variable Details

    ### initFileData Type: `str` Value:
        '''#!/bin/sh
        #
        #  Startup script for a Twisted service.
        #
        #  chkconfig: - 85 15
        #  description: Start-up script for the Twisted service "%(tap_file)s"\
        .

        ...

    ### specFileData Type: `str` Value:
        '''Summary:    %(description)s
        Name:       %(rpm_file)s
        Version:    %(version)s
        Release:    1
        Copyright:  Unknown
        Group:      Networking/Daemons
        Source:     %(tarfile_basename)s
        BuildRoot:  /var/tmp/%%{name}-%%{version}-root
        ...

    ### type_dict Type: `dict` Value:
        {'python': 'python', 'source': 'source', 'tap': 'file', 'xml': 'xml'}

Generated by Epydoc 2.0 on Sat Oct 25 00:54:48 2003 | http://epydoc.sf.net